### Hierarchy

- <internal>.StreamOptions<<internal>.Writable>
  - WritableOptions
    - <internal>.DuplexOptions
    - <internal>.internal.DuplexOptions

## Index

### Properties

- autoDestroy
- decodeStrings
- defaultEncoding
- emitClose
- highWaterMark
- objectMode
- signal

### Methods

- construct
- destroy
- final
- write
- writev

## Properties

### Optional autoDestroy

autoDestroy?: boolean

Inherited from StreamOptions.autoDestroy

### Optional decodeStrings

decodeStrings?: boolean

### Optional defaultEncoding

defaultEncoding?: BufferEncoding

### Optional emitClose

emitClose?: boolean

Inherited from StreamOptions.emitClose

### Optional highWaterMark

highWaterMark?: number

Inherited from StreamOptions.highWaterMark

### Optional objectMode

objectMode?: boolean

Inherited from StreamOptions.objectMode

### Optional signal

signal?: AbortSignal

Inherited from StreamOptions.signal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

## Methods

### Optional construct

- construct(this: <internal>.Writable, callback: (error?: <internal>.Error) => void): void

- Inherited from StreamOptions.construct

  #### Parameters

  - ##### this: <internal>.Writable

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

### Optional destroy

- destroy(this: <internal>.Writable, error: <internal>.Error, callback: (error: <internal>.Error) => void): void

- Inherited from StreamOptions.destroy

  #### Parameters

  - ##### this: <internal>.Writable

  - ##### error: <internal>.Error

  - ##### callback: (error: <internal>.Error) => void

    - - (error: <internal>.Error): void

      - #### Parameters

        - ##### error: <internal>.Error

        #### Returns void

### Optional final

- final(this: <internal>.Writable, callback: (error?: <internal>.Error) => void): void

- #### Parameters

  - ##### this: <internal>.Writable

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

### Optional write

- write(this: <internal>.Writable, chunk: any, encoding: BufferEncoding, callback: (error?: <internal>.Error) => void): void

- #### Parameters

  - ##### this: <internal>.Writable

  - ##### chunk: any

  - ##### encoding: BufferEncoding

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

### Optional writev

- writev(this: <internal>.Writable, chunks: { chunk: any; encoding: BufferEncoding }[], callback: (error?: <internal>.Error) => void): void

- #### Parameters

  - ##### this: <internal>.Writable

  - ##### chunks: { chunk: any; encoding: BufferEncoding }[]

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

Generated using TypeDoc